io.netty.handler.codec.mqtt

## Enum MqttMessageType

- java.lang.Object
- - java.lang.Enum<MqttMessageType>
  - - io.netty.handler.codec.mqtt.MqttMessageType

All Implemented Interfaces:
  Serializable, Comparable<MqttMessageType>

    public enum MqttMessageType
    extends Enum<MqttMessageType>

MQTT Message Types.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTH`
`CONNACK`
`CONNECT`
`DISCONNECT`
`PINGREQ`
`PINGRESP`
`PUBACK`
`PUBCOMP`
`PUBLISH`
`PUBREC`
`PUBREL`
`SUBACK`
`SUBSCRIBE`
`UNSUBACK`
`UNSUBSCRIBE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `value()`
`static MqttMessageType` `valueOf(int type)`
`static MqttMessageType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MqttMessageType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONNECT

    public static final MqttMessageType CONNECT

#### CONNACK

    public static final MqttMessageType CONNACK

#### PUBLISH

    public static final MqttMessageType PUBLISH

#### PUBACK

    public static final MqttMessageType PUBACK

#### PUBREC

    public static final MqttMessageType PUBREC

#### PUBREL

    public static final MqttMessageType PUBREL

#### PUBCOMP

    public static final MqttMessageType PUBCOMP

#### SUBSCRIBE

    public static final MqttMessageType SUBSCRIBE

#### SUBACK

    public static final MqttMessageType SUBACK

#### UNSUBSCRIBE

    public static final MqttMessageType UNSUBSCRIBE

#### UNSUBACK

    public static final MqttMessageType UNSUBACK

#### PINGREQ

    public static final MqttMessageType PINGREQ

#### PINGRESP

    public static final MqttMessageType PINGRESP

#### DISCONNECT

    public static final MqttMessageType DISCONNECT

#### AUTH

    public static final MqttMessageType AUTH

### Method Detail

#### values

    public static MqttMessageType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MqttMessageType c : MqttMessageType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MqttMessageType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### value

    public int value()

#### valueOf

    public static MqttMessageType valueOf(int type)